Bug 589185 - a repo's metadata (or its associated content sources' metadata) should include which ResourceTypes its packages apply to
a repo's metadata (or its associated content sources' metadata) should includ...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
1.3.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 11:31 EDT by Ian Springer
Modified: 2014-05-29 13:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-29 13:40:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2010-05-05 11:31:32 EDT
For example the JBoss Patches (i.e. CSP) repo would specify that its packages apply to the JBossAS Server (JBossAS) and JBoss Server (JBossAS5) ResourceTypes.

That way, when a user goes to the Content>Subscriptions for a JBoss AS Server Resource, they would see the JBoss Patches repo listed as a repo to which that Resource can subscribe, but when they go to some other type of Resource (e.g. a Postgres Server, a Datasource, or an EAR), they would not see the JBoss Patches repo listed.
Comment 1 Joseph Marques 2010-09-16 12:57:49 EDT
ian, i thought this kind of metadata was already supported in the rss feed to the CSP.  is this an issue of more recent patches not including this data, but the older patches do?  in short, do we need to do any work here, or is this an oversight during feed generation that our plugin consumes?

Note You need to log in before you can comment on or make changes to this bug.